Last Comment Bug 550569 - Integrate BrowserScope's HTML editor test suite with Mozilla's mochitest framework
: Integrate BrowserScope's HTML editor test suite with Mozilla's mochitest fram...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a3
Assigned To: :Ehsan Akhgari (busy, don't ask for review please)
:
Mentors:
http://www.browserscope.org/richtext/...
Depends on: 734553 628980
Blocks: 745532
  Show dependency treegraph
 
Reported: 2010-03-05 13:25 PST by :Ehsan Akhgari (busy, don't ask for review please)
Modified: 2012-04-15 05:15 PDT (History)
5 users (show)
ehsan: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
Patch (v1) (117.82 KB, patch)
2010-03-08 14:39 PST, :Ehsan Akhgari (busy, don't ask for review please)
bzbarsky: review+
Details | Diff | Review

Description :Ehsan Akhgari (busy, don't ask for review please) 2010-03-05 13:25:47 PST
The BrowserScope project seems to have a set of automated tests for HTML editor implementations.  I plan to work with that project in the future to add cross-browser tests for HTML editor implementations.  A first step to do this is integrating their test framework into ours.  We should make sure that we mark the currently failing tests as todo items so that we can use these tests as a regression test suite, and we'll gradually unmark the fixed bugs from the todo list.

Patch coming up.
Comment 1 :Ehsan Akhgari (busy, don't ask for review please) 2010-03-08 14:39:45 PST
Created attachment 431211 [details] [diff] [review]
Patch (v1)

This patch integrates the BrowserScope richtext tests into our Mochitest suite, and provides a script for updating the tests from upstream easily.
Comment 2 Boris Zbarsky [:bz] 2010-03-08 14:52:44 PST
Comment on attachment 431211 [details] [diff] [review]
Patch (v1)

r=bzbarsky.  This is awesome.
Comment 3 :Ehsan Akhgari (busy, don't ask for review please) 2010-03-08 15:57:10 PST
http://hg.mozilla.org/mozilla-central/rev/f3a14938d9c2

Note You need to log in before you can comment on or make changes to this bug.